// copyright 2002 Josh Levenberg, please see copying.txt
/* OS specific functions: Windows version */
#include "os.h"
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
// And for timeGetTime:
#define MMNODRV
//#define MMNOSOUND
#define MMNOWAVE
#define MMNOMIDI
#define MMNOAUX
#define MMNOMIXER
//#define MMNOTIMER       // Timer support
#define MMNOJOY
#define MMNOMCI
#define MMNOMMIO
#define MMNOMMSYSTEM    // General MMSYSTEM functions
#include <mmsystem.h>

unsigned GetTimeInMS()
  {
    return timeGetTime();
  }

void PlayWavFile(const char *filename)
  {
    PlaySound(filename, 0, SND_ASYNC | SND_FILENAME);
  }


