// copyright 2002 Josh Levenberg, please see copying.txt
#include "display.h"
#include "disp_va.h"
#include "disp_nv.h"
#include "glext.h"

AbstractDisplay * gDisplay=0;

void SelectVertexArrayDisplay()
  {
    delete gDisplay;
    gDisplay=new VertexArrayDisplay();
  }

void SelectNVDisplay()
  {
    delete gDisplay;
    gDisplay=new NvidiaDisplay();
  }

void SelectFastDisplay()
  {
    if (gNVExtensions)
      SelectNVDisplay();
    else
      SelectVertexArrayDisplay();
  }