// copyright 2002 Josh Levenberg, please see copying.txt
/* Functions for initializing the OpenGL state, including loading & binding
  the texture map, checking for OpenGL extensions, etc.
 */

#ifndef GL_INIT_H
#define GL_INIT_H

void GenerateTextureMap(int heightFieldSize, float *heightField);
void LoadLandscapeTexture(const char *filename);
void BindLandscapeTexture();
void InitGL();

#endif
